part of wrike;
class Error {
  // FIXME: no explanation for this response
  /**
   * oauth2:The provided authorization grant (e.g., authorization
   * code, resource owner credentials) or refresh token is 
   * invalid, expired, revoked, does not match the redirection
   * URI used in the authorization request, or was issued to another client.
   */
  static const String INVALID_GRANT = "invalid_grant";
  /**
   * oauth2: Access token is unknown or expired
   */
  static const String NOT_AUTHORIZED = "not_authorized";
  /**
   * Request HTTP type is invalid, request critical data is absent or malformed (e.g., no attachment body)
   */
  static const String invalid_request = "invalid_request";
  /**
   * Request parameter name or value is invalid
   */
  static const String invalid_parameter = "invalid_parameter";
  /**
   * Required parameter is absent
   */
  static const String parameter_required = "parameter_required";
  /**
   * User is not authorized (authorization is invalid, malformed or expired)
   */
  static const String not_authorized = "not_authorized";
  /**
   * Access to requested entity is denied for user
   */
  static const String access_forbidden = "access_forbidden";
  /**
   * Requested action is not allowed due to license/quota limitations, e.t.c.
   */
  static const String not_allowed = "not_allowed";
  /**
   * Requested entity is not found
   */
  static const String resource_not_found = "resource_not_found";
  /**
   * Requested API method does not exist
   */
  static const String method_not_found = "method_not_found";
  /**
   * Server side error
   */
  static const String server_error = "server_error";
  /**
   * 429 FIXME: quota limitations is mentioned in access_forbidden response, shouldn't this one be used in this case?
   */
  static const String rate_limit_exceeded = "rate_limit_exceeded";
}
