part of wrike;

class TaskStatus {
  static const TaskStatus Active = const TaskStatus._internal('Active');
  static const TaskStatus Completed = const TaskStatus._internal('Completed');
  static const TaskStatus Deferred = const TaskStatus._internal('Deferred');
  static const TaskStatus Cancelled = const TaskStatus._internal('Cancelled');

  final String _value;
  const TaskStatus._internal(this._value);
  toString() => _value;

  static List<TaskStatus> getValues() {
    return [Active, Completed, Deferred, Cancelled];
  }

  static TaskStatus parse(String value) {
    return getValues().firstWhere((item) {
      return item._value == value;
    });
  }
}
