part of wrike.test;

class TestHttpAdapter extends wrike_server.HttpAdapter {
  static final Duration pause = new Duration(seconds: 1);
  Future<Map> get(String url, Map<String, String> params, Map<String, String> headers) => super.get(url, params, headers).then((v) => new Future.delayed(pause).then((_) => v));

  Future<Map> delete(String url, Map<String, String> params, Map headers) => super.delete(url, params, headers).then((v) => new Future.delayed(pause).then((_) => v));

  Future<Map> post(String url, Map<String, String> params, Map<String, String> headers, {body}) => super.post(url, params, headers, body: body).then((v) => new Future.delayed(pause).then((_) => v));

  Future<Map> put(String url, Map<String, String> params, Map<String, String> headers, {body}) => super.put(url, params, headers, body: body).then((v) => new Future.delayed(pause).then((_) => v));
}
