part of wrike;

class Comment{
  /**
   * Comment ID
   */
  final String id;

  /**
   * Author ID
   */
  final String authorId;  
  
  /**
   * Comment text
   */
  final String text;
  
  /**
   * Updated date
   * Format: Y-M-dTH:m:sZ
   */
  final String updatedDate;  
  
  Comment({this.id, this.authorId,this.text, this.updatedDate});
  
  static Comment fromJSON(Map json) {
    return new Comment(
      id: json["id"], 
      text: json["text"], 
      authorId: json["authorId"], 
      updatedDate: json["updatedDate"]
      );
  }

  toString() {
    return "$id:$text";
  }
}