part of wrike;

class TaskImportance {
  /**
   * High importance
   */
  static const TaskImportance High = const TaskImportance._internal('High');
  /**
   * Normal importance
   */
  static const TaskImportance Normal = const TaskImportance._internal('Normal');
  /**
   * Low importance
   */
  static const TaskImportance Low = const TaskImportance._internal('Low');

  final String _value;
  const TaskImportance._internal(this._value);
  toString() => _value;

  static List<TaskImportance> getValues() {
    return [High, Normal, Low];
  }

  static TaskImportance parse(String value) {
    return getValues().firstWhere((item) {
      return item._value == value;
    });
  }
}
