part of wrike;

class TaskType {
    static const TaskType Backlog = const TaskType._internal('Backlog');
    static const TaskType Milestone = const TaskType._internal('Milestone');
    static const TaskType Planned = const TaskType._internal('Planned');

    final String _value;
    const TaskType._internal(this._value);
    toString() => _value;

    static List<TaskType> getValues() {
      return [Backlog, Milestone, Planned];
    }

    static TaskType parse(String value) {
      return getValues().firstWhere((item) {
        return item._value == value;
      },orElse: ()=>null);
    }
}