part of wrike;

class TaskFields {
  /** Author ids*/
  static const TaskFields authorIds = const TaskFields._internal('authorIds');
  /**Has attachments*/
  static const TaskFields hasAttachments = const TaskFields._internal('hasAttachments');
  /**List of task parent folder*/
  static const TaskFields parentIds = const TaskFields._internal('parentIds');
  /**List of user ids, who have task share*/
  static const TaskFields sharedIds = const TaskFields._internal('sharedIds');
  /**List of resposible user ids*/
  static const TaskFields responsibleIds = const TaskFields._internal('responsibleIds');
  /**Description*/
  static const TaskFields description = const TaskFields._internal('description');


  final String _value;
  const TaskFields._internal(this._value);
  toString() => _value;
  toJson() {
    return _value;
  }

  static List<TaskFields> getValues() {
    return [authorIds, hasAttachments, parentIds, sharedIds, responsibleIds, description];
  }

  static TaskFields parse(String value) {
    return getValues().firstWhere((item) {
      return item._value == value;
    });
  }
}
